
package cdpp3dview.types;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the cdpp3dview.types package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: cdpp3dview.types
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link TimeFile }
     * 
     */
    public TimeFile createTimeFile() {
        return new TimeFile();
    }

    /**
     * Create an instance of {@link Matrix3DArray }
     * 
     */
    public Matrix3DArray createMatrix3DArray() {
        return new Matrix3DArray();
    }

    /**
     * Create an instance of {@link Tuple3D }
     * 
     */
    public Tuple3D createTuple3D() {
        return new Tuple3D();
    }

    /**
     * Create an instance of {@link TimeFileArray }
     * 
     */
    public TimeFileArray createTimeFileArray() {
        return new TimeFileArray();
    }

    /**
     * Create an instance of {@link Frame }
     * 
     */
    public Frame createFrame() {
        return new Frame();
    }

    /**
     * Create an instance of {@link Body }
     * 
     */
    public Body createBody() {
        return new Body();
    }

    /**
     * Create an instance of {@link Tuple3DArray }
     * 
     */
    public Tuple3DArray createTuple3DArray() {
        return new Tuple3DArray();
    }

    /**
     * Create an instance of {@link GroundStation }
     * 
     */
    public GroundStation createGroundStation() {
        return new GroundStation();
    }

    /**
     * Create an instance of {@link DateTimeArray }
     * 
     */
    public DateTimeArray createDateTimeArray() {
        return new DateTimeArray();
    }

    /**
     * Create an instance of {@link Tuple6D }
     * 
     */
    public Tuple6D createTuple6D() {
        return new Tuple6D();
    }

    /**
     * Create an instance of {@link TimeRange }
     * 
     */
    public TimeRange createTimeRange() {
        return new TimeRange();
    }

    /**
     * Create an instance of {@link Matrix3D }
     * 
     */
    public Matrix3D createMatrix3D() {
        return new Matrix3D();
    }

    /**
     * Create an instance of {@link StarSubset }
     * 
     */
    public StarSubset createStarSubset() {
        return new StarSubset();
    }

    /**
     * Create an instance of {@link Star }
     * 
     */
    public Star createStar() {
        return new Star();
    }

    /**
     * Create an instance of {@link Instrument }
     * 
     */
    public Instrument createInstrument() {
        return new Instrument();
    }

}
